Skip to main content
GET
/
products
cURL
curl --request GET \
  --url https://www.greenflash.ai/api/v1/products \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Customer Support Bot",
    "icon": "headset",
    "color": "#4F46E5",
    "createdAt": "2025-06-15T10:00:00Z",
    "updatedAt": "2025-10-01T14:30:00Z"
  },
  {
    "id": "223e4567-e89b-12d3-a456-426614174001",
    "name": "Sales Assistant",
    "icon": "chart-bar",
    "color": "#059669",
    "createdAt": "2025-07-20T08:00:00Z",
    "updatedAt": "2025-09-28T11:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number (default 1).

Required range: x >= 1
pageSize
number

Number of results per page (default 50, max 100).

Required range: 1 <= x <= 100

Response

Products retrieved successfully

id
string<uuid>
required

The product ID.

name
string
required

The product name.

icon
string | null
required

Product icon identifier.

color
string | null
required

Product color hex code.

createdAt
string
required

When the product was created (ISO 8601).

updatedAt
string
required

When the product was last updated (ISO 8601).